Bug 174345 - CVE-2005-3848 dst_entry leak DoS
Summary: CVE-2005-3848 dst_entry leak DoS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Thomas Graf
QA Contact: Brian Brock
URL:
Whiteboard: public=20050818,reported=20051128,sou...
Keywords: Security
Depends On:
Blocks: 168430
TreeView+ depends on / blocked
 
Reported: 2005-11-28 11:32 UTC by Mark J. Cox
Modified: 2014-06-18 08:28 UTC (History)
3 users (show)

Fixed In Version: RHSA-2006-0101
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-17 08:36:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0101 normal SHIPPED_LIVE Important: kernel security update 2006-01-17 05:00:00 UTC

Description Mark J. Cox 2005-11-28 11:32:27 UTC
CVE-2005-3848 dst_entry leak
        Memory leak in the icmp_push_reply function in Linux 2.6
        before 2.6.12.6 and 2.6.13 allows remote attackers to cause a
        denial of service (memory consumption) via a large number of
        crafted packets that cause the ip_append_data function to
        fail, aka "DST leak in icmp_push_reply."

fixed upstream in 2.6.13.  Patch:
http://linux.bkbits.net:8080/linux-2.6/cset@4304f828jk2FxIJTqMiEOZTNdih6FA

discussion:
http://marc.theaimsgroup.com/?l=linux-kernel&m=112431016816937&w=2
http://marc.theaimsgroup.com/?l=linux-kernel&m=112439084918917&w=2
http://marc.theaimsgroup.com/?l=linux-kernel&m=112508479212728&w=2

Comment 4 Red Hat Bugzilla 2006-01-17 08:36:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0101.html


Comment 5 John Poelstra 2006-01-17 16:57:09 UTC
All in attendance at 12-JAN-06 RHEL meeting approved for MUSTFIX list for RHEL4-U3


Note You need to log in before you can comment on or make changes to this bug.